


js-preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.99);
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  opacity: 1;
  visibility: visible;
  z-index: 9999;
  -webkit-transition: opacity 0.25s ease;
  transition: opacity 0.25s ease;
}

.js-preloader.loaded {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

@-webkit-keyframes dot {
  50% {
      -webkit-transform: translateX(96px);
      transform: translateX(96px);
  }
}

@keyframes dot {
  50% {
      -webkit-transform: translateX(96px);
      transform: translateX(96px);
  }
}

@-webkit-keyframes dots {
  50% {
      -webkit-transform: translateX(-31px);
      transform: translateX(-31px);
  }
}

@keyframes dots {
  50% {
      -webkit-transform: translateX(-31px);
      transform: translateX(-31px);
  }
}

.preloader-inner {
  position: relative;
  width: 142px;
  height: 40px;
  background: transparent;
}

.preloader-inner .dot {
  position: absolute;
  width: 16px;
  height: 16px;
  top: 12px;
  left: 15px;
  background: #e75e8d;
  border-radius: 50%;
  -webkit-transform: translateX(0);
  transform: translateX(0);
  -webkit-animation: dot 2.8s infinite;
  animation: dot 2.8s infinite;
}

.preloader-inner .dots {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  margin-top: 12px;
  margin-left: 31px;
  -webkit-animation: dots 2.8s infinite;
  animation: dots 2.8s infinite;
}

.preloader-inner .dots span {
  display: block;
  float: left;
  width: 16px;
  height: 16px;
  margin-left: 16px;
  background: #e75e8d;
  border-radius: 50%;
}







.navbar ul li{
list-style:none;
text-align: center;
margin-left:0px;
transition:1s;
margin-left: 29px;
font-size: 20px;
background-image: url(images/30.jpg);
background-size: cover;
background-position: center;
background-clip: text;
-webkit-background-clip: text;
color: transparent;

}




@keyframes com
{
from{margin-right:990px;}
to{margin-right:0px;}
}

@keyframes fadout
{
from{opacity:0;transform:scale(1.5);}
to{opacity:0.99;}
}



#conti
{
  text-align: justify;
  font-size: 35px;
  padding:20px;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}



.img{
width:100%;
height:100%;
text-align:center;
}




#icon{
cursor:pointer;
width:10%;
}



   .pa{
    font-size: 25px;
    padding:15px 20px;
    border-radius:10px;
    color:white;
    }
 
  .pa:hover{
   transform:scale(1.2);
   background:white;
   }



@keyframes fadout
{
from{opacity:0;transform:scale(1.5);}
to{opacity:0.99;}
}

@keyframes root{
  form{transform:rotate(0deg)scale(1);}
  to{transform:rotate(9deg)scale(1.20);}
}


p
{
transition:2s;
animation:com 2s ease-in-out;
text-align: justify;
font-size: 35px;
padding:20px;
margin-left: 20px;
margin-right: 20px;
word-spacing: 20px;
font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

}



a:link{color:black;text-decoration:overline brown}
a:hover{text-decoration:underline;color:green}

/*
.nav-item ul li{
  list-style:none;
text-align: center;
margin-left:0px;
transition:0.20s;
font-size: 20px;
background-size: cover;
background-position: center;
background-clip: text;
-webkit-background-clip: text;
color: transparent;
}



.navbar ul li:hover{

transform:scale(1.10);

}

*/


.header-content p {
  animation: none;
  margin-bottom:15px;
  align-items: center;
  flex-direction:column;
  flex-direction: row;
  display: flex;
  align-items: flex-start;
 }






.abo
{
width: 20%;
justify-content: flex-start;
margin-left: 20px;
box-shadow: 2px 2px 2pz #e91e63;
margin-left:150px;
color:black;
text-align:left;
padding:15px 20px;
}




@keyframes multicolor
{
10%{color:teal}
20%{color:beige}
30%{color:burlywood}
40%{color:chocolate}
50%{color:cornflowerblue}
60%{color:darkcyan}
70%{color:hotpink}
80%{color:lawngreen}
90%{color:maroon}
100%{color:rosybrown}
}


#topad
{

font-size:60px;
font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
text-align:center;
text-shadow: 2px 2px 2px black;
margin:auto;
animation:multicolor 12s infinite ;
text-shadow: 5px 5px 5px yellowgreen;
}


.line{
  color:#6DAD68; 
  height: 4px;
  size:9;
  border-radius:20px;  
  margin: 10px auto;
  width:150px;
}


.span{
  text-align: center;
}

.name{
  font-family:verdana;
  display: block;
  text-align:center;
  padding:40px;
  margin:auto;
  width:100%;
  height:90px;
  font-size: 35px;
  margin-right: 20px;
  color:black;
  color: #32a7eb;

  border-radius: 50px;
}

.name:hover{
  border-radius:150px;
  transition-duration: 3s ease in;
}

.icon:hover{
  transform: rotate(360deg);
}


@keyframes move
{
from{margin-left:-30px;}
to{margin-right:18%;}
 }

 #myheading2
{
color:white;
width:100%;
font-size:25px;
text-shadow:5px 0px 5px teal;
animation:move 2s ease-in infinite alternate;
}





#mybox{

margin: auto;
text-align: center;
color: whitesmoke;
font-size: 20px;
border-radius: 2px;

}


#but{
margin: auto;
color: burlywood;
text-align: center;
}



  #about
  {
    text-align:center;
    font-size:28px;
    font-family:Arial,Helvetica,sans-serif,Verdana, Geneva,Tahoma,sans-serif;
    text-indent:100px;
  }


  #behance
  {
   cursor:pointer;
  }


 


  html{
    scroll-behavior: smooth;
  }


@keyframes ani1
{
  from{margin-left:0px;}
  to{margin-left:-200%}
}


#mask
{
background:black;
width:90%;
height:50px;
margin:auto;
box-shadow:10px 10px 10px gray;
overflow:hidden;
border-radius:20px;
}

#news
{
color:yellow;
width:800%;
height:100px;
font-family:arial black;
font-size:25px;
padding:10px;
transition:10s;
animation:ani1 20s linear  infinite;
}



#bar{
  text-align:right;
  padding-right:50px;
}


#dark,#light
{
  background:black;
  cursor:pointer;
  text-align: center;
  color: gold;
  border-radius: 20px;
  box-shadow: 2px 5px 5px black;
  font-size: 15px;
}


#c1
{
flex-direction:column;
padding:auto;
}



.card img:hover
{
  transform: scale(0.70) rotate(-6deg);
  transition: 0.90s ease-in-out;
}


.card{
box-sizing:border-box;
width:22.5%;
height:300px;
margin:2px;
margin-left:40px;
padding:15px;
box-shadow:5px 5px gray;
border-radius:8px;
text-align:center;
font-size:10px;
font-family:verdana;
transition:0.90s ease-in-out;
}

.card img{
    width:100%;
    border-radius: 10px;
    border:6px solid gray;
    transition:0.90s ease-in-out;
}




#mai{
  display:flex;
  width:90%;
  margin:auto;
  flex-wrap:wrap;
  height: auto;
  box-shadow: 3px 0px 3px  black;
}




#main{
  display:flex;
  width:90%;
  margin:auto;
  flex-wrap:wrap;
}




#main h1{
  text-align: center;
  font-size: 20px;
}


#project
{
  cursor:pointer;
    
}

#skill{
font-family: 'Courier New', Courier, monospace;
}

#bb{
background:black;
cursor:pointer;
text-align: center;
color:white;
border-radius: 20px;
box-shadow: 2px 5px 5px skyblue;
font-size: 15px;
}


#bbb{
  background:black;
  cursor:pointer;
  text-align: center;
  color:white;
  border-radius: 20px;
  box-shadow: 2px 5px 5px green;
  font-size: 20px;
  margin: auto;
  }




  .footer-section {
    padding: 80px 0;
     }
    .footer-section .relative {
      position: relative; }
    .footer-section a {
      text-decoration: none;
      color: #2f2f2f;
      -webkit-transition: .3s all ease;
      -o-transition: .3s all ease;
      transition: .3s all ease; }
      .footer-section a:hover {
        color: rgba(47, 47, 47, 0.5); }
    .footer-section .subscription-form {
      margin-bottom: 40px;
      position: relative;
      z-index: 2;
      margin-top: 100px; }
      @media (min-width: 992px) {
        .footer-section .subscription-form {
          margin-top: 0px;
          margin-bottom: 80px; } }
      .footer-section .subscription-form h3 {
        font-size: 18px;
        font-weight: 500;
        color: #3b5d50; }
      .footer-section .subscription-form .form-control {
        height: 50px;
        border-radius: 10px;
        font-family: "Inter", sans-serif; }
        .footer-section .subscription-form .form-control:active, .footer-section .subscription-form .form-control:focus {
          outline: none;
          -webkit-box-shadow: none;
          box-shadow: none;
          border-color: #3b5d50;
          -webkit-box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2);
          box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2); }
        .footer-section .subscription-form .form-control::-webkit-input-placeholder {
          font-size: 14px; }
        .footer-section .subscription-form .form-control::-moz-placeholder {
          font-size: 14px; }
        .footer-section .subscription-form .form-control:-ms-input-placeholder {
          font-size: 14px; }
        .footer-section .subscription-form .form-control:-moz-placeholder {
          font-size: 14px; }
      .footer-section .subscription-form .btn {
        border-radius: 10px !important; }
    .footer-section .sofa-img {
      position: absolute;
      top: -200px;
      z-index: 1;
      right: 0; }
      .footer-section .sofa-img img {
        max-width: 380px; }
    .footer-section .links-wrap {
      margin-top: 0px; }
      @media (min-width: 992px) {
        .footer-section .links-wrap {
          margin-top: 54px; } }
      .footer-section .links-wrap ul li {
        margin-bottom: 10px; }
    .footer-section .footer-logo-wrap .footer-logo {
      font-size: 32px;
      font-weight: 500;
      text-decoration: none;
      color: #3b5d50; }
    .footer-section .custom-social li {
      margin: 2px;
      display: inline-block; }
      .footer-section .custom-social li a {
        width: 40px;
        height: 40px;
        text-align: center;
        line-height: 40px;
        display: inline-block;
        ;
        color: #3b5d50;
        border-radius: 50%; }
        .footer-section .custom-social li a:hover {
          background: #3b5d50;
           }
    .footer-section .border-top {
      border-color: #dce5e4; }
      .footer-section .border-top.copyright {
        font-size: 14px !important; }
 
  
  





a:link{color:none;text-decoration:none}
a:visited{color:none;}
a:hover{text-decoration:none;color:none}
a:active{background:none;}
  
  
  
 



  
  
.cont{
  max-width: 1170px;
  margin: auto;
}




#dark,#light
{
  background:black;
  cursor:pointer;
  text-align: center;
  color: gold;
  border-radius: 20px;
  box-shadow: 2px 5px 5px black;
  font-size: 15px;
}




.row
{
  display: flex;
  flex-wrap: wrap;
}
  



#pic{
  height:240px;
  box-shadow:10px 10px 10px gray;
  display:block;
  animation: fadout 2s ease-in;
  border-radius: 20px;
}

#myslider{
  display:block;
 
  transition: all ease-in-out;
  border-radius: 20px;
  background-color: #6DAD68;
  border-radius: 5px;
  
}


.hov
{
transform:scale(1);
border-radius:15px;
transition:0.90s ease-in-out;
}

.hov1
{
border-radius:15px;
transition:0.90s ease-in-out;
}



#you
{
font-size:40px;
text-align: center;
animation:slide 3s infinite alternate;
}


@keyframes slide{
  0% , 100%{
    transform: translateY(0);
  }
  50%{
    transform: translateY(-50px);
  }
}




.progress-container{
  width: 100%;
  max-width: 500px;
  height: 30px;
  margin: auto;
  border-radius: 20px;
  background-color:#8cbfdd;
  box-shadow: 0px 2px 1px black;

}

.progress-bar{
  width: 0%;
  height: 100%;
  background-color: goldenrod;
  border-radius: 20px;
  transition: width 0.3s ease-in-out;
}






.projects-thumb {
  background: var(--section-bg-color);
  border: 2px solid var(--white-color);
  border-radius: var(--border-radius-medium);
  position: relative;
  overflow: hidden;
  margin-top: 24px;
  margin-bottom: 24px;
  padding: 40px;
  transition: all ease 0.5s;
}

.projects-thumb:hover {
  border-color: var(--secondary-color);
}

.projects-thumb:hover .projects-image,
.projects-thumb:focus .projects-image {
  transform: rotate(0) translateY(0);
}

.projects-thumb .popup-image {
  display: block;
  width: 100%;
  height: 100%;
}

.projects-image {
  border-radius: var(--border-radius-medium);
  display: block;
  width: 100%;
  transform: rotate(10deg) translateY(80px);
  transition: all ease 0.5s;
}

.projects-title {
  margin-bottom: 20px;
}

.projects-tag {
  font-size: var(--menu-font-size);
  font-weight: var(--font-weight-medium);
  color: var(--secondary-color);
  text-transform: uppercase;
  margin-bottom: 5px;
}




.hero {
  width: 100%;
  min-height: 60vh;
  position: relative;
  padding: 60px 0;
  display: flex;
  align-items: center;
}

.hero h1 {
  margin: 0;
  font-size: 64px;
  font-weight: 700;
  animation:slide 3s infinite alternate;
}

.hero p {
  color: color-mix(in srgb, var(--default-color), transparent 30%);
  margin: 5px 0 30px 0;
  font-size: 20px;
  font-weight: 400;
}

.hero .btn-get-started {
  color:goldenrod; 
  font-weight: 400;
  font-size: 15px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 10px 28px 12px 28px;
  border-radius: 50px;
  transition: 0.5s;
  background:black;
  box-shadow: 0 8px 28px rgba(0, 0, 0, 0.1);
  text-decoration: none;
}

.hero .btn-get-started:hover {
  color: var(--accent-color);
  background: color-mix(in srgb, var(--accent-color), transparent 15%);
  box-shadow: 0 8px 28px rgba(0, 0, 0, 0.1);
}

.hero .btn-watch-video {
  font-size: 16px;
  transition: 0.5s;
  margin-left: 25px;
  color: var(--default-color);
  font-weight: 500;
  color: goldenrod;
  display: inline-block;
  padding: 10px 28px 12px 28px;
  border-radius: 50px;
  transition: 0.5s;
  background:black;
  box-shadow: 0 8px 28px rgba(0, 0, 0, 0.1);
  text-decoration: none;
  
}

.hero .btn-watch-video i {
  color: var(--accent-color);
  font-size: 32px;
  transition: 0.3s;
  line-height: 0;
  margin-right: 8px;
}

.hero .btn-watch-video:hover {
  color: var(--accent-color);
  color: #32a7eb;
}

.hero .btn-watch-video a:hover {
  text-decoration: none;
}





.hero .btn-watch-video:hover i {
  color: color-mix(in srgb, var(--accent-color), transparent 15%);
}

.hero .animated {
  animation: up-down 2s ease-in-out infinite alternate-reverse both;
}



@media (max-width: 640px) {
  .hero h1 {
    font-size: 28px;
    line-height: 36px;
  }

  .hero p {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 30px;
  }

  .hero .btn-get-started,
  .hero .btn-watch-video {
    font-size: 13px;
  }
}

@keyframes up-down {
  0% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(-10px);
  }
}




.live-stream {
  margin-top: 60px;
  border-radius: 23px;
  
  padding: 30px;
}

.live-stream .item {
  margin-bottom: 30px;
}

.live-stream .thumb {
  position: relative;
  overflow: hidden;
  margin-bottom: 20px;
}

.live-stream .thumb img {
  border-radius: 23px; 
}

.live-stream .thumb:hover .hover-effect {
  opacity: 1;
  visibility: visible;
}

.live-stream .hover-effect {
  opacity: 0;
  visibility: hidden;
  transition: all .4s;
}

.live-stream .hover-effect .live a { 
  position: absolute;
  background-color: rgba(236, 96, 144, 0.9);
  padding: 5px 10px;
  border-radius: 23px;
  color: #fff;
  font-size: 14px;
  right: 15px;
  top: 15px;
}

.live-stream .hover-effect ul {
  position: absolute;
  bottom: 20px;
  text-align: center;
  width: 100%;
}

.live-stream .hover-effect ul li {
  display: inline-block;
  margin: 0px 5px;
}

.live-stream .hover-effect ul li a {
  background-color: rgba(236, 96, 144, 0.9);
  padding: 5px 10px;
  border-radius: 23px;
  color: #fff;
  font-size: 14px;
}

.live-stream .avatar img {
  margin-right: 15px;
}

.live-stream span i {
  color: #fff;
  background-color: #ec6090;
  border-radius: 50%;
  font-size: 12px;
  width: 20px;
  height: 20px;
  display: inline-block;
  text-align: center;
  line-height: 20px;
  margin-right: 3px;
}

.live-stream span {
  font-size: 14px;
  color: #ec6090;
}

.live-stream .down-content h4 {
  margin-top: 8px;
  font-size: 20px;
  font-weight: 700;
  margin-left: 61px;
}

.live-stream .main-button {
  text-align: center;
  margin-bottom: -53px;
}


.typewriter-container {
  font-family: monospace;
  font-size: 2em;
  white-space: nowrap; /* Keep text on a single line */
  overflow: hidden; /* Hide overflow until typed */
  border-right: .15em solid orange; /* Blinking cursor */
  animation: 
    typing 3.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

/* Keyframes for the typing animation */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* Keyframes for the blinking cursor */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: orange; }
}



